.plotbase-product-editor {
    position: relative;
    margin-bottom: 30px;
}

.field.field-block-file-data {
    display: none !important;
}

.product-options-wrapper .product-custom-option-hide {
    display: none !important;
}

canvas#editor {
    width: 100%;
}

.editor_holder {
    margin-bottom: 50px;
    position: relative;
    height: calc(100% - 30px);
}

.editor-row > div {
    margin-top: 36px;
}

.editor_wrapper.show-ui-settings #editor_ui {
    display: flex;
}

.editor_wrapper.show-ui-settings .editor_ui_quality {
    display: block;
}

.editor_canvas_wrapper {
    height: calc(100% - 40px);
}

#editor_ui {
    height: 32px;
    padding: 4px 8px;
    display: none;
    justify-content: center;
}

.editor_ui_quality {
    display: none;
}

#editor_zoom {
    -webkit-appearance: none;  /* Override default CSS styles */
    appearance: none;
    width: 250px; /* Full-width */
    height: 25px; /* Specified height */
    background: none; /* Grey background */
    outline: none; /* Remove outline */
    border-radius: 23px;
    border: 1px solid #DDD;
    z-index: 100;
    position: absolute;
    padding: 0;
}

#editor_zoom:hover {
    opacity: 1;
}

#editor_zoom::-webkit-slider-thumb {
    -webkit-appearance: none; /* Override default look */
    appearance: none;
    width: 50px; /* Set a specific slider handle width */
    height: 23px; /* Slider handle height */
    background: #ef7d00; /* Green background */
    cursor: pointer; /* Cursor on hover */
    border-radius: 23px;
}

#editor_zoom::-moz-range-thumb {
    width: 50px; /* Set a specific slider handle width */
    height: 23px; /* Slider handle height */
    background: #ef7d00; /* Green background */
    cursor: pointer; /* Cursor on hover */
    border-radius: 23px;
}

.editor_ui_zoom {
    position: relative;
    opacity: 0.7;
    width: 250px;
}

.editor_ui_zoom::before {
    content: '';
    background-color: #fff;
}

.editor_ui_zoom:hover {
    opacity: 1;
}

.editor_ui_zoom .range-labels {
    list-style: none;
    position: absolute;
    top: 0;
    left: 0;
    width: 248px;
    height: 23px;
    margin: 3px;
    padding: 0;
    pointer-events: none;
    background-color: #fff;
    border-radius: 23px;
}

.editor_ui_zoom .range-labels li {
    width: 49px;
    height: 23px;
    float: left;
    position: relative;
}

.editor_ui_zoom .range-labels li::before {
    content: '';
    width: 2px;
    height: 13px;
    position: absolute;
    top: 5px;
    left: 24px;
    background: #DDD;
}

.editor_ui_quality {
    position: absolute;
    height: 32px;
    left: 50px;
    bottom: 4px;
    background-color: rgba(255, 255, 255, 0.7);
    border-radius: 12px;
    padding: 4px 8px 2px 8px;
}

.editor_ui_quality_mobile {
    display: none;
    height: 32px;
    left: 50px;
    bottom: 4px;
    background-color: rgba(255, 255, 255, 0.7);
    border-radius: 12px;
    padding: 4px 8px 2px 8px;
    margin: 8px 12px;
}

.editor_ui_quality > div,
.editor_ui_quality_mobile > div {
    display: none;
}

.editor_ui_quality.high > div.high,
.editor_ui_quality_mobile.high > div.high {
    display: inline-block;
}

.editor_ui_quality.medium > div.medium,
.editor_ui_quality_mobile.medium > div.medium {
    display: inline-block;
}

.editor_ui_quality.low > div.low,
.editor_ui_quality_mobile.low > div.low {
    display: inline-block;
}

.editor_ui_quality i,
.editor_ui_quality_mobile i {
    font-size: 26px;
    padding-right: 4px;
}

.editor_ui_quality .high i,
.editor_ui_quality_mobile .high i {
    color: #59BA41;
}

.editor_ui_quality .medium i,
.editor_ui_quality_mobile .medium i {
    color: #ef7d00;
}

.editor_ui_quality .low i,
.editor_ui_quality_mobile .low i {
    color: #dc3545;
}

.editor_ui_quality div,
.editor_ui_quality_mobile div {
    font-size: 14px;
    color: rgb(85, 85, 85);
    line-height: 26px;
    vertical-align: middle;
    height: 100%;
}

#zoom_value {
    width: 50px;
    height: 23px;
    color: #fff;
    position: absolute;
    z-index: 200;
    font-family: Roboto, sans-serif;
    font-size: 12px;
    pointer-events: none;
    margin: 3px;
    text-align: center;
    line-height: 24px;
}

#fileupload_editor {
    display: none;
}

.editor-rec-sizes {
    margin-top: 12px !important;
    cursor: pointer;
}

.editor-rec-sizes-head {
    border: 1px solid #ddd;
    background-color: #ededed;
    padding: 4px 8px;
    height: 28px;
}

.editor-rec-sizes-head label {
    margin: 0px 4px;
    float: left;
}

.editor-rec-sizes-head i {
    float: right;
    line-height: 20px;
}

.editor-rec-sizes-body {
    border-top: none;
    overflow-y: scroll;
    max-height: 240px;
}

.editor-rec-sizes-body table {
    width: 100%;
    margin: 0;
}

.editor-rec-sizes-body table th {
    padding: 8px 8px;
}

.editor-rec-sizes-body table th:first-child {
    border-left: 1px solid #ddd;
}

.editor-rec-sizes-body table th:last-child {
    border-right: 1px solid #ddd;
}

.editor-rec-sizes-body table td {
    padding: 4px 8px;
}

.editor-rec-sizes-body table td:first-child {
    padding: 4px 0px 4px 8px;
}

.editor-rec-sizes-body table td:nth-child(3) {
    padding: 2px 1px;
}

.editor-rec-sizes-body table td:nth-child(3) i {
    font-size: 28px;
    line-height: 28px;
}

.editor-rec-sizes-body table th:nth-child(3),
.editor-rec-sizes-body table td:nth-child(3) {
    text-align: center;
}

.editor-rec-sizes-body table tr td {
    border-top: 1px solid #ddd;
}

.editor-rec-sizes-body table tr td:first-child {
    border-left: 1px solid #ddd;
}

.editor-rec-sizes-body table tr td:last-child {
    border-right: 1px solid #ddd;
}

.editor-rec-sizes-body table tr:last-child td {
    border-bottom: 1px solid #ddd;
}

.editor-rec-sizes-body table tr.active td {
    border-color: #ef7d00;
    border-bottom: 1px solid #ef7d00;
    background-color: #f5f5f5;
}

.editor-rec-sizes-body table tr:hover td {
    background-color: #ededed;
}

.editor-rec-sizes-body table tbody tr td i {
    padding-top: 2px;
}

.editor-rec-sizes-body table tbody tr td i.high {
    color: #59BA41;
}

.editor-rec-sizes-body table tbody tr td i.medium {
    color: #ef7d00;
}

.editor-rec-sizes-body table tbody tr td i.low {
    color: #dc3545;
}

.editor_ui_rotate {
    padding-left: 10px;
}

.editor_ui_rotate button {
    background-color: #ffffff;
    color: #ef7d00;
    border: 1px solid #ddd;
    border-radius: 8px;
}

.editor-disabled-overflow {
    position: absolute;
    background-color: rgba(255, 255, 255, 0.5);
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    z-index: 500;
    display: none;
}

.editor-disabled-overflow.active {
    display: block;
}

.custom-options-controll .field-quantity-nav {
    position: absolute;
    float: right;
    top: 0;
    bottom: 0;
    right: 75px;
}

.custom-options-controll{
    position: relative
}
.custom-options-controll .field-quantity-nav .field-btn {
    cursor: pointer;
    border-left: 1px solid rgba(0, 0, 0, 0.08);
    width: 30px;
    text-align: center;
    color: #333;
    font-size: 13px;
    line-height: 1.5;
    padding: 0;
    background: #FAFAFA;
}
.custom-options-controll .field-quantity-nav .field-quantity-nav-up {
    position: absolute;
    height: 50%;
    top: 0;
}
.custom-options-controll .field-quantity-nav .field-btn .fa {
    color: transparent;
    width: 15px;
    height: 15px;
    margin-top: 5px;
    text-align: center;
    padding-left: 2px;
    margin-right: 3px;
}

.custom-options-controll .field-quantity-nav .field-btn .fa:before {
    color: #333;
}

.custom-options-controll .field-quantity-nav .field-quantity-nav-down {
    position: absolute;
    bottom: 0;
    height: 50%;
}
.custom-options-controll .field-quantity-nav .field-btn i.fa.fa-angle-down {
    padding-top: 1px;
}

.custom-options-controll .field-input-group-append {
    padding: 5px 8px;
    color: #555555;
    background-color: #d9d9d9;
    height: initial;
    border-left: none;
    line-height: 1;
    font-size: 15px;
    float: left;
    cursor: pointer;
    -webkit-transition: border-color ease-in-out .15s;
    -o-transition: border-color ease-in-out .15s;
    transition: border-color ease-in-out .15s;
    flex: 0 1 0;
    position: absolute;
    right: -1px;
    border-top-right-radius: 28px;
    border-bottom-right-radius: 28px;
    top: 0;
    bottom: 0;
    text-align: center;
    max-width: 46px;
    width: 45px;
    padding-top: 13px;
    padding-left: 5px;
}


.custom-options-controll .field-input-group-append .unit-label .unit-label-small,
.custom-options-controll .field-input-group-append .unit-label .unit-label-big
{
    font-size: 13px;
    text-transform: lowercase;
}

.editor-row > div > div:not(:first-child):not(:nth-child(2)) {
    margin-top: 0px;
}

#editor_uploader {
    position: absolute;
    top: 10%;
    left: 8%;
    background-color: #ededed;
    right: 8%;
    bottom: 10%;
    border-radius: 71px;
}

#editor_uploader #editor_ui{
    display: none;
}

#editor_uploader.show-ui-settings #editor_ui{
    display: block;
}
#editor_uploader.show-ui-settings .editor_ui_quality{
    display: block;
}

#editor_uploader #editor_ui{
    padding-left: 70px;
    padding-right: 70px;
}

#editor_uploader > div {
    position: relative;
    top: unset;
    left: unset;
    transform: none;
}

#editor_processing {
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    background-color: #ededed;
}

#editor_processing > div {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

#fileupload_editor {
    display: none;
}

.editor_ui_rotate {
    padding-left: 10px;
}

.editor_ui_rotate button {
    background-color: #ffffff;
    color: #ef7d00;
    border: 1px solid #ddd;
    border-radius: 8px;
}

.editor-disabled-overflow {
    position: absolute;
    background-color: rgba(255, 255, 255, 0.5);
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    z-index: 500;
    display: none;
}

.editor-disabled-overflow.active {
    display: block;
}

.custom-options-controll .field-quantity-nav {
    position: absolute;
    float: right;
    top: 0;
    bottom: 0;
    right: 75px;
}

.custom-options-controll{
    position: relative
}

.custom-options-controll .field-quantity-nav .field-btn {
    cursor: pointer;
    border-left: 1px solid rgba(0, 0, 0, 0.08);
    width: 30px;
    text-align: center;
    color: #333;
    font-size: 13px;
    line-height: 1.5;
    padding: 0;
    background: #FAFAFA;
}

.custom-options-controll .field-quantity-nav .field-quantity-nav-up {
    position: absolute;
    height: 50%;
    top: 0;
}

.custom-options-controll .field-quantity-nav .field-btn .fa {
    color: transparent;
    width: 15px;
    height: 15px;
    margin-top: 5px;
    text-align: center;
    padding-left: 2px;
    margin-right: 3px;
}

.custom-options-controll .field-quantity-nav .field-btn .fa:before {
    color: #333;
}

.custom-options-controll .field-quantity-nav .field-quantity-nav-down {
    position: absolute;
    bottom: 0;
    height: 50%;
}

.custom-options-controll .field-quantity-nav .field-btn i.fa.fa-angle-down {
    padding-top: 1px;
}

.custom-options-controll .field-input-group-append {
    padding: 5px 8px;
    color: #555555;
    background-color: #d9d9d9;
    height: initial;
    border-left: none;
    line-height: 1;
    font-size: 15px;
    float: left;
    cursor: pointer;
    -webkit-transition: border-color ease-in-out .15s;
    -o-transition: border-color ease-in-out .15s;
    transition: border-color ease-in-out .15s;
    flex: 0 1 0;
    position: absolute;
    right: -1px;
    border-top-right-radius: 28px;
    border-bottom-right-radius: 28px;
    top: 0;
    bottom: 0;
    text-align: center;
    max-width: 46px;
    width: 45px;
    padding-top: 13px;
    padding-left: 5px;
}

.custom-options-controll .field-input-group-append .unit-label .unit-label-small,
.custom-options-controll .field-input-group-append .unit-label .unit-label-big {
    font-size: 13px;
    text-transform: lowercase;
    color: #000;
}

.fileinput-editor-area .label span {
    padding-left: 25px;
}
.fileinput-editor-area .label {
    font-size: 17px;
    font-weight: 200;
    line-height: 36px;
}
.editor_holder{
    position: relative;
}

#editor_object_widget_background {
    position: absolute;
    width: 100%;
    height: 100%;
    left: 0;
    top: 0;
}

#editor_object_widget {
    position: absolute;
    z-index: 20;
    display: none;
}

.editor_object_widget_x {
    width: 11px;
    height: 11px;
    background-color: #ef7d00;
    position: absolute;
    border-radius: 50%;
}

#editor_object_widget_x1 {
    left: -5px;
    top: -5px;
    cursor: nwse-resize;
}

#editor_object_widget_x2 {
    right: -5px;
    top: -5px;
    cursor: nesw-resize;
}

#editor_object_widget_x3 {
    left: -5px;
    bottom: -5px;
    cursor: nesw-resize;
}

#editor_object_widget_x4 {
    right: -5px;
    bottom: -5px;
    cursor: nwse-resize;
}

#editor_object_widget_m {
    position: absolute;
    width: 100%;
    height: 100%;
    cursor: move;
}

.editor_ui {
    width: 100%;
    position: relative;
}

.editor_ui_buttons {
    display: flex;
    gap: 10px;
    justify-content: space-between;
}

.editor_ui_buttons .editor_ui_btn {
    border: 1px solid #ddd;
    background-color: #ededed;
    padding: 4px 8px 10px 8px;
    flex: 1 1 auto;
    cursor: pointer;
}

.editor_ui_buttons .editor_ui_btn:hover {
    background-color: #ededede8;
}

.editor_ui_buttons .editor_ui_btn.active {
    background-color: #fff;
}

.editor_ui_buttons .editor_ui_btn > div {
    text-align: center;
}

.editor_ui_panel_background img {
    display: block;
    max-width: 200px;
    max-height: 200px;
}

.editor_object_ui {
    position: fixed;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.4);
    top: 0;
    left: 0;
    z-index: 999999;
    display: none;
}

.editor_object_ui.active {
    display: block;
}

.editor_object_widget_actions {
    position: absolute;
    top: -40px;
    display: flex;
    column-gap: 5px;
    white-space: nowrap;
}

.editor_object_widget_actions button {
    background-color: #ededed;
    border: none;
    border-radius: 3px;
    padding: 6px 8px;
}

#editor_object_widget_action_upload {
    float: left;
}

#editor_object_widget_action_upload .change-image {
    display: none;
}

#editor_object_widget_action_upload.has-image .select-image {
    display: none;
}

#editor_object_widget_action_upload.has-image .change-image {
    display: initial;
}

#editor_object_widget_action_close {
    width: 32px;
    border-radius: 50%;
    float: right;
}

.editor_object_widget_actions #editor_object_widget_action_close {
    display: none;
}

.editor_object_widget_actions_bottom #editor_object_widget_action_close i {
    color: #59BA41;
}

#editor_object_widget_action_lock {
    width: 32px;
    border-radius: 50%;
    float: left;
    display: none;
}

#editor_object_widget_action_lock i.fa-lock {
    display: none;
}

#editor_object_widget_action_lock.locked i.fa-lock {
    display: inline;
}

#editor_object_widget_action_lock.locked i.fa-unlock {
    display: none;
}

.editor_object_widget_bottom_actions {
    position: absolute;
    bottom: -40px;
    display: flex;
    column-gap: 5px;
    white-space: nowrap;
    width: 100%;
}

.editor_object_widget_quality {
    background-color: #ededed;
    border: none;
    border-radius: 3px;
    padding: 2px 8px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.editor_object_widget_quality > div {
    display: none;
    color: rgb(85, 85, 85);
    font-size: 14px;
    width: 100%;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}

.editor_object_widget_quality i {
    font-size: 22px;
    padding-right: 4px;
}

.editor_object_widget_quality.high > div.high {
    display: inline-block;
}

.editor_object_widget_quality.medium > div.medium {
    display: inline-block;
}

.editor_object_widget_quality.low > div.low {
    display: inline-block;
}

.editor_object_widget_quality .high i {
    color: #59BA41;
}

.editor_object_widget_quality .medium i {
    color: #ef7d00;
}

.editor_object_widget_quality .low i {
    color: #dc3545;
}

.editor_object_widget_actions_bottom {
    display: flex;
    column-gap: 5px;
    white-space: nowrap;
    width: 100%;
}

.editor_object_widget_actions_bottom button {
    background-color: #ededed;
    border: none;
    border-radius: 3px;
    padding: 6px 8px;
}

.editor_ui_panel_background, .editor_object_widget_gallery_image {
    background-color: #fff;
    box-shadow: 2px 2px 2px rgba(0, 0, 0, 0.2);
    cursor: pointer;
}

.editor_object_widget_gallery .panel .panel-body {
    height: 100%;
    display: flex;
    flex-direction: column;
    align-items: stretch;
    overflow: hidden;
}

.editor_object_widget_gallery .panel .panel-body .uploaded_images {
    padding: 8px 16px 8px 16px;
    display: flex;
    flex-wrap: wrap;
    align-items: baseline;
    column-gap: 12px;
    row-gap: 12px;
    align-content: flex-start;
    flex: 1;
    overflow-y: auto;
}

.editor_object_widget_gallery .panel .panel-body .uploaded_images:empty {
    display: none;
}

.editor_object_widget_gallery .panel .panel-body .uploaded_images img {
    display: block;
    max-width: 160px;
    max-height: 160px;
}

.editor_object_widget_gallery #editor_uploader {
    position: initial;
    display: flex;
    justify-content: center;
    align-items: center;
}

.editor_object_widget_gallery .fileinput-editor-area {
    padding: 5px 23px;
}

.editor_object_widget_gallery .fileinput-editor-area .label {
    font-size: 16px;
}

.panel-close {
    cursor: pointer;
}

.editor_object_widget_gallery_image {
    display: flex;
    flex-direction: column;
    padding: 4px 8px;
    justify-content: center;
    row-gap: 4px;
}

.editor_object_widget_gallery_image img {
    border: 1px solid #000;
    margin-bottom: 4px;
}

.editor_object_widget_gallery_image span {
    background-color: #ededed;
    padding: 2px 8px;
    border-radius: 10px;
    text-align: center;
}

.editor-size {
    display: none;
}

.editor-size .custom-size-fieldset .custom-size-fields .custom-field-block {
    flex: 1 1 auto;
}

.border-size {
    margin-top: 10px;
}

@media (max-width: 799px) {
    .editor_holder {
        margin-bottom: 0;
    }

    #editor_main {
        display: block;
    }
}

@media (max-width: 499px) {

    #editor_object_widget_action_upload i {
        font-size: 14px;
    }

    .editor_object_widget_quality {
        padding: 4px 8px;
    }

    .editor_object_widget_x {
        display: none !important;
    }
}